#------------------------------------------------------------------------------
#
# Sage Pay Kit - Configuration File 
# 
# Lines beginning '#' are ignored. The format of each line is:
# 
# key = value
#
# All keys must be present or an exception will be thrown.
#
# Mandatory Properties:
#   Must have a value provided (or an exception will be thrown) 
#
# Optional Properties:
# 	May or may not have a value 
#
# Environment (see documentation for "sagepay.api.env" below) 
# You must specify the correct server environment to connect to (LIVE, TEST, or SIMULATOR).
#
# Environment Specific Values
# You can optionally define override the value for any configuration option by appending 
# a dot and the environment name to the key. If an environment specific value is found, 
# that value will be used in preference to a key without any environment suffix.
#
# For example, to provide a value of "true" for property "foo" but "false" for the LIVE environment:
#
#    foo = true
#    foo.LIVE = false 
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# COMMON Settings (All Protocols)
#------------------------------------------------------------------------------

# Mandatory (but can be set as a Java system property instead).
#   e.g. java -Dsagepay.api.env=SIMULATOR ... or System.setProperty("sagepay.api.env", "LIVE")
#   Set to any of: SIMULATOR for the Simulator system, TEST for the Test Server and 
#   LIVE for the live environment
sagepay.api.env = TEST

# Default Sage Pay Protocol Version (e.g. "2.23", "3.00"). 
# Note that 2.23 is the oldest supported version. 
sagepay.api.protocolVersion = 3.00

# Mandatory. Set this value to the Vendor Name assigned to you by Sage Pay or chosen when you applied 
sagepay.kit.vendorName = 

# Mandatory. Set this to indicate the currency in which you wish to trade. 
# You will need a merchant number in this currency 
sagepay.kit.currency = GBP

# Mandatory. Usually PAYMENT. This can be DEFERRED or AUTHENTICATE if your Sage Pay 
# account supports those payment types 
# NB Ideally all DEFERRED transaction should be released within 6 days (according to card scheme rules).
# DEFERRED transactions can be ABORTed before a RELEASE if necessary
sagepay.kit.defaultTransactionType = PAYMENT

# Optional setting. It's recommended to set the siteFqdn value to the Fully 
# Qualified Domain Name of your server. 
# This should start http:// or https:// and should be the name by which our servers can call back to yours 
# i.e. it MUST be resolvable externally, and have access granted to the Sage Pay servers 
# examples would be https://www.mysite.com or http://212.111.32.22/ 
# NOTE: You should leave the trailing / in place. Do not include any URI path.
# If you leave this value blank the kit will use the current host name 
sagepay.kit.siteFqdn.LIVE = 
sagepay.kit.siteFqdn.TEST = http://46.7.211.173/
sagepay.kit.siteFqdn.SIMULATOR = http://46.7.211.173/ 

sagepay.kit.notificationURL = http://46.7.211.173/SagePay/NotificationServlet
sagepay.kit.redirectURL = http://46.7.211.173/SagePay/faces/pages/result/transactionResult.xhtml
# Optional setting. If you are a Sage Pay Partner and wish to flag the transactions 
# with your unique partner id, it should be set here
sagepay.kit.partnerId = 

# Mandatory. Show debugging error information on screen (always set to "no" in live environments)
# This shows a full stack trace on the error page to speed debugging.
sagepay.kit.displayDebugErrors = true
sagepay.kit.displayDebugErrors.LIVE = false

# Mandatory. For development, populate forms by default with test data (values are "yes" or "no") 
sagepay.kit.populateFormsWithTestData = true
sagepay.kit.populateFormsWithTestData.LIVE = false

# If true will detect changes to this properties file on every request.
# Set to false to improve performance. 
sagepay.kit.loadPropsFileEveryRequest = true

# 0 = If AVS/CV2 enabled then check them.  If rules apply, use rules (default).
# 1 = Force AVS/CV2 checks even if not enabled for the account. If rules apply, use rules.
# 2 = Force NO AVS/CV2 checks even if enabled on account.
# 3 = Force AVS/CV2 checks even if not enabled for the account but DON'T apply any rules.
sagepay.kit.applyAvsCv2 = 0

# 0 = If 3D-Secure checks are possible and rules allow, perform the checks and apply the authorisation rules. (default)
# 1 = Force 3D-Secure checks for this transaction if possible and apply rules for authorisation.
# 2 = Do not perform 3D-Secure checks for this transaction and always authorise.
# 3 = Force 3D-Secure checks for this transaction if possible but ALWAYS obtain an auth code, irrespective of rule base.
sagepay.kit.apply3dSecure = 0

# Optional property. (Server & Form protocols only)
# For charities registered for Gift Aid, set to 1 to display the Gift Aid check 
# box on the payment pages, or else 0
sagepay.kit.allowGiftAid = 0

# Use this to send surcharge xml and override the default values set for your account.
# See the protocol docs for further explanation on using the surcharge xml. 
sagepay.kit.surcharge.xml= 
#<surcharges><surcharge><paymentType>VISA</paymentType><fixed>2.50</fixed></surcharge></surcharges>

# Optional setting. If you are a dealing with financial transfers then offer the option to collect
# details about the recipient (true/false|blank) 
sagepay.kit.collectRecipientDetails = 

#------------------------------------------------------------------------------
# FORM Protocol Only Settings 
#
# You only need configure this section if you are using FORM Integration.
#------------------------------------------------------------------------------

# Set this value to the AES encryption password assigned to you by Sage Pay 
sagepay.kit.form.encryptionPassword.SIMULATOR = 
sagepay.kit.form.encryptionPassword.TEST = 
sagepay.kit.form.encryptionPassword.LIVE = 

# 0 = Do not send either customer or vendor e-mails, 
# 1 = Send customer and vendor e-mails if address(es) are provided(DEFAULT). 
# 2 = Send Vendor Email but not Customer Email. If you do not supply this field, 1 is assumed and e-mails are sent if addresses are provided. 
sagepay.kit.form.sendEmail = 1 

# Optional setting. Set this to the mail address which will receive order confirmations and failures 
sagepay.kit.form.vendorEmail = garrett@jpoint.ie

# Optional setting. Contents of email message.
# You can specify any custom message to send to your customers in their confirmation e-mail here
# The field can contain HTML if you wish, and be different for each order.  This field is optional
sagepay.kit.form.emailMessage = Thanks for your order

#------------------------------------------------------------------------------------
# SERVER & DIRECT Protocols Only Settings  
#
# You only need configure this section if you are using DIRECT or SERVER Integration.
#------------------------------------------------------------------------------------

# A local database is required to use Server & Direct within the kit.
# The kit uses JPA/Hibernate for database access so should work with any
# common database by changing the JDBC driver.
# Set your local database connection information here.
javax.persistence.jdbc.user = 
javax.persistence.jdbc.password =
javax.persistence.jdbc.url = jdbc:postgresql://localhost:5432/sagepay
#javax.persistence.jdbc.url = jdbc:mysql://localhost:3306/sagepayjavakit?autoReconnect=true
javax.persistence.jdbc.driver = org.postgresql.Driver
javax.persistence.provider = org.hibernate.ejb.HibernatePersistence

# * DO NOT ENABLE THIS IN PRODUCTION *
# Optional. This will create the database schema for you if you set to create.
# Then you should immediately comment it out, or set it to update (dev only). 
# VALUES: validate | update | create | create-drop
#    validate: validate the schema, makes no changes to the database.
#    update: update the schema 
#    create: creates the schema, destroying previous data 
#    create-drop: drop the schema at the end of the session 
hibernate.hbm2ddl.auto = create

# This value will be used to set the BillingAgreement field in the registration POST
# A default is value of 0 is used if this parameter is not included in this properties file
sagepay.kit.billingAgreement = 0

#------------------------------------------------------------------------------
# DIRECT Protocol Only Settings 
#
# You only need configure this section if you are using DIRECT Integration.
#------------------------------------------------------------------------------

# Optional setting. Tell the SAGE PAY System which merchant account to use. If omitted, 
# the system will use E, then M, then C by default.
#    E = Use the e-commerce merchant account (default).
#    C = Use the continuous authority merchant account (if present).
#    M = Use the mail
sagepay.kit.direct.accountType = 

# Any 7 character salt for the local customer password database used by the kit.
# NB The kit is for demonstration purposes only - your own website should take
# proper security measures.
sagepay.kit.direct.customerPasswordSalt = rR-*^!($

#------------------------------------------------------------------------------
# API Advanced Settings (Optional)
#
# [ Editing of this section is not usually required ]
#
# The API is bundled with a default configuration file "sagepay-api.properties"
# within the API jar. You can override these programatically using the 
# configure() API method.
# 
# The demo application passes all properties in this file into the API
# configure() method (which ignores any property names it doesn't recognize) 
# so any API property can be overridden in this file if needed.
#------------------------------------------------------------------------------

# Validation
#
# Optionally enable/disable automatic validation of all requests & responses 
# Enabled by default
# Clients are strongly encouraged to leave this value set to true
#
# sagepay.api.enableClientValidation = true

# Message Logging
#
# Set the name & level of a logger to log the raw Protocol message bodies to.
# The name of the logger can be anything configured in your logging configuration.
# NB If either field empty or invalid, raw messages will not be logged.
#
# sagepay.api.messageLoggerName = com.sagepay
# sagepay.api.messageLoggerLevel = debug

sagepay.api.messageLoggerName = com.sagepay
sagepay.api.messageLoggerLevel = debug

# Set this to true to use colon delimited format for the basket instead of XML
# Note: The 'Extra Information' page will not be displayed if this flag is set to true. This will prevent
# users entering Trip information
sagepay.kit.basketxml.disable = false
